package LRSVisitor;
import LRStructure.*;

public class LRSClear implements IAlgo {
	/** @SBGen Singleton Variable   */
	private static LRSClear singleton = null;	/** @SBGen Singleton   */
	public static LRSClear Singleton()
	{
		// SBgen: Ensure single instance
		if (singleton == null) 
			singleton = new LRSClear();
		return(singleton);
		// SBgen: End singleton
	}


  /** @SBGen Constructor   */
	private LRSClear()
	{
  	}

  public Object nullCase(LRStruct host, Object param)
  {
    return null;
  }

  public Object nonNullCase(LRStruct host, Object param)
  {
    host.setRest( new LRStruct());
    host.removeFirst();
    return null;
  }
}